variables:
    APPSECRET: "test"
    ENVIRON: "test"
    FILESTORE: "static/assets/img/products/"

pytest:
    stage: test
    script:
        - cd /builds/u5500327/wmgzon
        - pip install -r requirements.txt
        - pytest

deploy:
    image: docker:20.10.16
    stage: deploy
    services:
        - docker:20.10.16-dind
    script:
        - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
        - docker pull $CI_REGISTRY/group/other-project:latest
        - docker run $CI_REGISTRY/group/other-project:latest